@import '../../../../components/common/css/common';

// Teaser primary

.cmp-teaser--primaryreverse {
    background: linear-gradient(91deg, #211C24 0.64%, #211C24 101%);

    .cmp-teaser {
        max-width: 1120px;
        margin: 0 auto;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: row-reverse;

        @include mobile {
            flex-direction: column-reverse;
            padding: 0px 16px;
        }

        .cmp-teaser__content {
            text-align: -webkit-center;
            width: 50%;

            @include mobile {
                width: 100%;
                display: flex;
                justify-content: center;
                flex-direction: column;
                align-items: center;
                text-align: center;
                padding-bottom: 20px;
            }

            .cmp-teaser__pretitle {
                color: #FFF;
                font-size: 25px;
                line-height: 32px;
                opacity: 0.4;

                // @include mobile {
                //     padding-top: 20px;
                // }
            }

            .cmp-teaser__title {
                padding-top: 24px;
                color: #FFF;
                font-size: 96px;
                line-height: 72px;
                letter-spacing: -0.96px;

                @include mobile {
                    font-size: 72px;
                    font-weight: 600;
                }
            }

            .cmp-teaser__description {
                padding: 24px 0px;
                color: #909090;
                font-size: 18px;
                line-height: 24px;

                @include mobile {
                    font-size: 20px;
                }
            }

            .cmp-teaser__action-container {
                width: 184px;
                padding: 16px 52px;
                border-radius: 6px;
                border: 1px solid #FFF;

                .cmp-teaser__action-link {
                    color: #FFF;
                    text-align: center;
                    font-size: 16px;
                    line-height: 24px;
                }
            }
        }

        .cmp-teaser__image {
            width: 50%;
            // padding-top: 73px;

            @include mobile {
                width: 100%;
                // padding-top: 48px;
            }
            
            .cmp-image {
               

                .cmp-image__image{
                    object-fit: contain;
                    height: auto;
                }
            }

        }
    }
}